Module | Sequel::ThreadedServerBlock
In: | lib/sequel/extensions/server_block.rb

Adds with_server support for the sharded threaded connection pool.

### Methods

with_server

### Public Instance methods

with_server(server) {|| ...}

Set a default server/shard to use inside the block for the current thread.

[Source]

         # File lib/sequel/extensions/server_block.rb, line 98
     98:     def with_server(server)
     99:       begin
    100:         set_default_server(server)
    101:         yield
    102:       ensure
    103:         clear_default_server
    104:       end
    105:     end

[Validate]